const permissionStr = new URLSearchParams(document.location.search).get("permission");
const permission = JSON.parse(decodeURI(permissionStr));
function click() {
  chrome.permissions.request(permission).then(() => {
    chrome.windows.getCurrent().then((window) => {
      chrome.windows.remove(window.id);
    });
  });
}
const button = document.getElementById("button");
button.onclick = click;
button.innerText = chrome.i18n.getMessage("agree");
const title = document.getElementById("title");
title.innerText = chrome.i18n.getMessage("permissionTitle");
const description = document.getElementById("description");
description.innerText = chrome.i18n.getMessage("permissionDescription");
const site = document.getElementById("site");
site.innerText = permission.origins[0];